{
  "getAllPSPanelFields" : [ {
    "id" : "field_text_dynamic",
    "viewFieldName" : "BOOKNAME"
  }, {
    "id" : "field_text_dynamic1",
    "viewFieldName" : "TYPE"
  } ],
  "codeName" : "Usr0921642315",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0921642315.json",
  "layoutMode" : "TABLE_24COL",
  "logicName" : "卡片视图test_卡片视图_卡片面板",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRootPSPanelItems" : [ {
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "page_container",
    "getPSLayout" : {
      "dir" : "column",
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "colMD" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSPanelItems" : [ {
      "caption" : "标签111",
      "contentType" : "RAW",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_label",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "caption" : "标签",
        "contentType" : "RAW",
        "name" : "static_label",
        "predefinedType" : "STATIC_LABEL",
        "renderMode" : "PARAGRAPH"
      },
      "rawContent" : "标签",
      "showCaption" : true
    }, {
      "caption" : "文本1111",
      "contentType" : "RAW",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_text",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "caption" : "文本内容",
        "contentType" : "RAW",
        "name" : "static_text",
        "predefinedType" : "STATIC_TEXT",
        "renderMode" : "TEXT"
      },
      "rawContent" : "文本内容",
      "showCaption" : true
    }, {
      "caption" : "标签",
      "contentType" : "RAW",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_label1",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "caption" : "测试h1-----",
        "contentType" : "RAW",
        "name" : "static_label1",
        "predefinedType" : "STATIC_LABEL",
        "renderMode" : "PARAGRAPH"
      },
      "rawContent" : "测试h1-----",
      "showCaption" : true
    }, {
      "caption" : "图片",
      "contentType" : "IMAGE",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_image",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "contentType" : "IMAGE",
        "name" : "static_image",
        "getPSSysImage" : {
          "glyph" : "xf207@FontAwesome",
          "cssClass" : "fa fa-bus"
        },
        "predefinedType" : "STATIC_IMAGE"
      },
      "getPSSysImage" : {
        "glyph" : "xf207@FontAwesome",
        "cssClass" : "fa fa-bus"
      },
      "showCaption" : true
    }, {
      "caption" : "文本",
      "contentType" : "HTML",
      "htmlContent" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_text1",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "content" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
        "contentType" : "HTML",
        "name" : "static_text1",
        "predefinedType" : "STATIC_TEXT"
      },
      "showCaption" : true
    }, {
      "caption" : "文本",
      "contentType" : "DIVIDER",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_text2",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "contentType" : "DIVIDER",
        "name" : "static_text2",
        "predefinedType" : "STATIC_TEXT",
        "rawContent" : "文本内容"
      },
      "rawContent" : "文本内容",
      "showCaption" : true
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_text_dynamic",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field_text_dynamic",
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "BOOKNAME",
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_text_dynamic1",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "field_text_dynamic1",
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "TYPE",
      "hidden" : false,
      "showCaption" : false
    } ]
  } ],
  "modelid" : "387C268C-5493-45DB-AC88-4B58D9E65DAB",
  "modeltype" : "PSSYSVIEWPANEL"
}